com.mxgraph.view

## Class mxTemporaryCellStates

- java.lang.Object
- - com.mxgraph.view.mxTemporaryCellStates

-     public class mxTemporaryCellStates
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected mxRectangle` | `oldBounds`
    `protected double` | `oldScale`
    `protected java.util.Hashtable<java.lang.Object,mxCellState>` | `oldStates`
    `protected mxGraphView` | `view`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxTemporaryCellStates(mxGraphView view)` Constructs a new temporary cell states instance.
    `mxTemporaryCellStates(mxGraphView view, double scale)` Constructs a new temporary cell states instance.
    `mxTemporaryCellStates(mxGraphView view, double scale, java.lang.Object[] cells)` Constructs a new temporary cell states instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the cell states and restores the state of the graph view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### view

          protected mxGraphView view

    - #### oldStates

          protected java.util.Hashtable<java.lang.Object,mxCellState> oldStates

    - #### oldBounds

          protected mxRectangle oldBounds

    - #### oldScale

          protected double oldScale

  - ### Constructor Detail

    - #### mxTemporaryCellStates

          public mxTemporaryCellStates(mxGraphView view)

      Constructs a new temporary cell states instance.

    - #### mxTemporaryCellStates

          public mxTemporaryCellStates(mxGraphView view,
                               double scale)

      Constructs a new temporary cell states instance.

    - #### mxTemporaryCellStates

          public mxTemporaryCellStates(mxGraphView view,
                               double scale,
                               java.lang.Object[] cells)

      Constructs a new temporary cell states instance.

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroys the cell states and restores the state of the graph view.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.